# Uses of Enum Class
com.destroystokyo.paper.HeightmapType

Packages that use HeightmapType
Package
Description
com.destroystokyo.paper
org.bukkit
The root package of the Bukkit API, contains generalized API classes.

## Uses of HeightmapType in com.destroystokyo.paper

Methods in com.destroystokyo.paper that return HeightmapType
Modifier and Type
Method
Description
`static HeightmapType`
HeightmapType.`valueOf(String name)`
Deprecated.
Returns the enum constant of this class with the specified name.
`static HeightmapType[]`
HeightmapType.`values()`
Deprecated.
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of HeightmapType in org.bukkit

Methods in org.bukkit with parameters of type HeightmapType
Modifier and Type
Method
Description
`default @NotNull Block`
World.`getHighestBlockAt(int x, int z, HeightmapType heightmap)`
Deprecated.
Upstream has added support for this, use `World.getHighestBlockAt(int, int, HeightMap)`
`default @NotNull Block`
World.`getHighestBlockAt(@NotNull Location location, HeightmapType heightmap)`
Deprecated.
Upstream has added support for this, use `World.getHighestBlockAt(Location, HeightMap)`
`int`
World.`getHighestBlockYAt(int x, int z, HeightmapType heightmap)`
Deprecated.
Upstream has added support for this, use `World.getHighestBlockYAt(int, int, HeightMap)`
`default int`
World.`getHighestBlockYAt(@NotNull Location location, HeightmapType heightmap)`
Deprecated.
Upstream has added support for this, use `World.getHighestBlockYAt(Location, HeightMap)`
`@NotNull Location`
Location.`toHighestLocation(HeightmapType heightmap)`
Deprecated.
Use `Location.toHighestLocation(HeightMap)`